## phosh 0.27.0

=== debian/changelog ===
phosh (0.27.0-1) experimental; urgency=medium

  * New upstream release
  * d/control: Bump libfeedback build dependency
  * d/salsa-ci.yml: Build against experimental
    We need newer libfeedback-dev

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 May 2023 13:58:25 +0200

phosh (0.26.0-2) experimental; urgency=medium

  * Team upload
  * d/control: Bump phoc dependency.
    Phosh can work with older phoc but will only bind to the
    newer protocol versions with phoc >= 0.26.0
  * d/control: Make sure plugins match the phosh version

 -- Guido Günther <agx@sigxcpu.org>  Mon, 03 Apr 2023 19:44:14 +0200

phosh (0.26.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 03 Apr 2023 12:25:54 +0200

phosh (0.25.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 12 Mar 2023 12:24:06 +0100

phosh (0.25.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 02 Mar 2023 16:06:43 +0100

phosh (0.25.0-1) experimental; urgency=medium

  * New upstream release
  * Upload to experimental
  * d/control: Depend on phoc 0.25.0
    Ensures consistent power button behavior
  * salsa-ci: Disable some bits until we can rely newer phoc

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Mar 2023 13:55:11 +0100

=== debian/control ===
Source: phosh
Section: x11
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 gi-docgen <!nodoc>,
 libadwaita-1-dev,
 libcallaudio-dev,
 libevince-dev,
 libsecret-1-dev,
 libsystemd-dev,
 libfeedback-dev (>= 0.2.0),
 libgcr-3-dev,
 libglib2.0-dev (>= 2.72.0),
 libgnome-desktop-3-dev,
 libgtk-3-dev,
 libgtk-4-dev,
 libgudev-1.0-dev,
 libhandy-1-dev (>= 1.1.90),
 libnm-dev,
 libpam0g-dev,
 libpolkit-agent-1-dev,
 libpulse-dev,
 libupower-glib-dev,
 libwayland-dev,
 meson,
 python3-docutils <!nodoc>,
# for the plugins
 libecal2.0-dev,
 evolution-data-server-dev,
# to run the tests
 at-spi2-core <!nocheck>,
 dbus-x11 <!nocheck>,
 gnome-settings-daemon-common <!nocheck>,
 gnome-shell-common <!nocheck>,
 gnome-themes-extra-data <!nocheck>,
 gsettings-desktop-schemas <!nocheck>,
 gtk-4-examples <!nocheck>,
 librsvg2-common <!nocheck>,
 phoc (>= 0.23.0) <!nocheck>,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://phosh.mobi/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh.git

Package: phosh
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 fonts-lato,
 gnome-shell-common,
 gsettings-desktop-schemas,
 phoc (>= 0.26.0),
Recommends:
 feedbackd,
 gnome-session-bin,
 gnome-session-common,
 gnome-settings-daemon,
 iio-sensor-proxy,
 phosh-mobile-tweaks,
 phosh-plugins,
 slurp,
 squeekboard | phosh-osk-stub,
Provides:
 notification-daemon,
 polkit-1-auth-agent,
Breaks:
 gnome-calls (<< 41~alpha),
 gnome-control-center (<< 42),
 libgtk-3-0 (<< 3.24.30),
Description: Pure Wayland shell for mobile devices
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 It's part of the Phosh Mobile Environment based on GNOME/GTK. For the full
 stack see the phosh-full and phosh-core metapackages.

Package: phosh-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
Description: Pure Wayland shell for mobile devices - development documentation
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains the development documentation.

Package: phosh-mobile-tweaks
Architecture: all
Depends:
 ${misc:Depends},
 dconf-gsettings-backend | gsettings-backend,
Description: Pure Wayland shell for mobile devices - GSettings tweaks
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains settings to improve behaviour on mobile devices.

Package: phosh-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gsettings-desktop-schemas,
 phoc (>= 0.13.1),
 phosh (= ${binary:Version}),
Description: Pure Wayland shell for mobile devices - Plugins
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains additional plugins.

Package: phosh-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Pure Wayland shell for mobile devices - development files
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains the development files.

## phosh 0.28.0

=== debian/changelog ===
phosh (0.28.0-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 12 Jun 2023 22:46:17 +0200

phosh (0.28.0-1pureos1~oct1) octarine; urgency=medium

  * Cherry-pick patches from phosh-next to make phosh still work on Byzantium
  * Upload to octarine

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Jun 2023 15:46:26 +0200

phosh (0.28.0-1) experimental; urgency=medium

  * New upstream release
  * d/control: Bump phoc dependency.
    We want to use the new protocol features

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Jun 2023 13:51:10 +0200

phosh (0.27.0-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sat, 06 May 2023 15:59:09 +0200

phosh (0.27.0-1pureos1~oct1) octarine; urgency=medium

  * Upload to octarine
  * Sync with Byzantium upload (Thanks Evangelos)
  * Emit feedback for shell internal screenshots

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 May 2023 16:29:16 +0200

phosh (0.26.0-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Fri, 14 Apr 2023 17:43:07 +0200

phosh (0.26.0-1pureos1~oct1) octarine; urgency=medium

  * Prepare in octarine until we have updated g-s-d
  * Upload to octarine

 -- Guido Günther <agx@sigxcpu.org>  Mon, 03 Apr 2023 13:59:03 +0200

phosh (0.25.2-1pureos2) byzantium; urgency=medium

  * Upload to byzantium

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sun, 12 Mar 2023 19:26:48 +0100

phosh (0.25.2-1pureos1) octarine; urgency=medium

  * Bugfix only release
  * Upload to octarine

 -- Guido Günther <agx@sigxcpu.org>  Sun, 12 Mar 2023 13:46:35 +0100

phosh (0.25.1-1pureos1) octarine; urgency=medium

  * Drop backported blank vs lock patch
  * Move all PureOS specific patches to d/patches/pureos
  * Upload to octarine

 -- Guido Günther <agx@sigxcpu.org>  Fri, 10 Mar 2023 14:36:37 +0100

phosh (0.24.0-1pureos3) byzantium; urgency=medium

  * d/patches: Backport "Handle locked as blanked"

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Sat, 25 Feb 2023 20:04:49 +0100

phosh (0.24.0-1pureos2) byzantium; urgency=high

  * d/control: Fix Breaks relation on g-s-d

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Tue, 21 Feb 2023 15:22:17 +0100

phosh (0.24.0-1pureos1) byzantium; urgency=medium

  * d/control: Loosen phoc build dep requirement
  * d/control: Add libjson-glib-dev build dependency
  * d/patches: Revert emitting screenshot capture event

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Fri, 10 Feb 2023 18:49:59 +0100

phosh (0.22.0-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Guido Günther <agx@sigxcpu.org>  Mon, 07 Nov 2022 18:23:56 +0100

phosh (0.21.1-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Guido Günther <agx@sigxcpu.org>  Thu, 29 Sep 2022 12:12:16 +0200

phosh (0.21.0-1pureos1) byzantium; urgency=medium

  * Upload to byzantium
 
 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Sep 2022 13:45:24 +0200

phosh (0.20.0-1pureos1) byzantium; urgency=medium

  * Upload to byzantium
  * Revert "librem5-ci: Add octarine and install phoc"
    We're uploading to byzantium again
    This reverts commit 10bb31ad2c4c2182b4d546928322e23334fce52f.
  * d/gbp.conf: Switch to byzantium
  * Raise phoc dependency to help partial upgrades

 -- Guido Günther <agx@sigxcpu.org>  Thu, 11 Aug 2022 09:35:41 +0200

phosh (0.20.0-1~exp1pureos1) octarine; urgency=medium

  * Upload to octarine. 
    See /usr/share/doc/phosh/NEWS.gz for list of changes.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 08 Aug 2022 14:11:46 +0200

phosh (0.20.0~beta3-1pureos1) octarine; urgency=medium

  * Upload to octarine. 
    See /usr/share/doc/phosh/NEWS.gz for list of changes.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 30 Jul 2022 18:29:33 +0200

phosh (0.20.0~beta2-1pureos1) octarine; urgency=medium

  * Upload to octarine. 
    See /usr/share/doc/phosh/NEWS.gz for list of changes.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Jun 2022 12:37:31 +0200

phosh (0.20.0~beta1-1pureos1) octarine; urgency=medium

  * Upload to octarine. 
    See /usr/share/doc/phosh/NEWS.gz for list of changes.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Jun 2022 14:02:52 +0200

phosh (0.17.0-1pureos1) byzantium; urgency=medium

  * Upload to byzantium
    Remaining changes:
    - lower glib version requirement
    - add PureOS CI
    - Adjust URLs for PureOS

 -- Guido Günther <agx@sigxcpu.org>  Fri, 25 Mar 2022 13:21:33 +0100

phosh (0.16.0-1pureos1) byzantium; urgency=medium

  * Upload to byzantium
    Remaining changes:
    - lower glib version requirement
    - add PureOS CI
    - Adjust URLs for PureOS

 -- Guido Günther <agx@sigxcpu.org>  Fri, 25 Feb 2022 14:44:28 +0100

phosh (0.15.0-1pureos2) byzantium; urgency=medium

  * Upload to byzantium
  * d/gbp.conf: Switch to byzantium

 -- Guido Günther <agx@sigxcpu.org>  Fri, 04 Feb 2022 14:58:09 +0100

phosh (0.15.0-1pureos1) octarine; urgency=medium

  * Upload to octarine
    Remaining changes:
    - lower glib version requirement
    - add PureOS CI
    - Adjust URLs for PureOS

 -- Guido Günther <agx@sigxcpu.org>  Wed, 26 Jan 2022 08:50:19 +0100

phosh (0.14.1-1pureos1) byzantium; urgency=medium

  * Upload to byzantium
    Remaining changes:
    - lower glib version requirement
    - add PureOS CI
    - Adjust URLs for PureOS
  * Avoid file conflict with calles in /u/s/locales/

 -- Guido Günther <agx@sigxcpu.org>  Mon, 06 Dec 2021 14:16:38 +0100

phosh (0.14.0-1pureos2) byzantium; urgency=medium

  * app-tracker: Lower glib version requirement.
    This makes splash work on byzantium.
    Closes: https://source.puri.sm/Librem5/OS-issues/-/issues/231

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Nov 2021 17:55:28 +0100

phosh (0.14.0-1pureos1) byzantium; urgency=medium

  * Upload to byzantium



## phosh 0.30.0

=== debian/changelog ===
phosh (0.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 03 Aug 2023 15:45:13 +0200

phosh (0.29.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 06 Jul 2023 12:23:59 +0200

phosh (0.28.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/gbp.conf: Switch to debian/latest

 -- Guido Günther <agx@sigxcpu.org>  Tue, 13 Jun 2023 14:52:29 +0200

=== debian/control ===
--- 
+++ 
@@ -56,7 +56,7 @@
  fonts-lato,
  gnome-shell-common,
  gsettings-desktop-schemas,
- phoc (>= 0.26.0),
+ phoc (>= 0.28.0),
 Recommends:
  feedbackd,
  gnome-session-bin,

## phosh 0.32.0

=== debian/changelog ===
phosh (0.32.0-1pureos1~byz1) byzantium; urgency=medium

  * Rebuild for Byzantium
  * Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Mon, 09 Oct 2023 21:08:35 +0200

phosh (0.32.0-1pureos1) crimson; urgency=medium

  * No new changes needed
  * Upload to crimson

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Oct 2023 17:26:56 +0200

phosh (0.32.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Oct 2023 16:19:03 +0200

phosh (0.31.1-1pureos1) crimson; urgency=medium

  * Upload to crimson

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Sep 2023 20:56:55 +0200

phosh (0.31.1-1) unstable; urgency=medium

  * The "sad I'm missing Debconf" release
  * New upstream release
  * d/install: Install portal.conf (Closes: #1050917)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Sep 2023 17:52:00 +0200

phosh (0.30.0-1pureos1~byz1) byzantium; urgency=medium

  * Upload to byzantium
  * Drop backported patches

 -- Guido Günther <agx@sigxcpu.org>  Mon, 07 Aug 2023 12:34:10 +0200

phosh (0.30.0-1pureos1) crimson; urgency=medium

  * Upload to crimson
  * No further changes

 -- Guido Günther <agx@sigxcpu.org>  Thu, 03 Aug 2023 17:20:48 +0200

phosh (0.29.0-1pureos1~byz2) byzantium; urgency=medium

  * mixer-control: remove objects properly when reconnecting to PA
    This fixes possible crashes when PA restarts
    It's a plain cherry-pick that can be dropped with phosh 0.30.0.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 22 Jul 2023 10:32:52 +0200

phosh (0.29.0-1pureos1~byz1) byzantium; urgency=medium

  * Upload to byzantium
  * Reverts to support byzantium:
      * Revert "d/control: Drop breaks on newer g-s-d"
        This reverts commit f78839f126c60026d8d1f4d61fd92cbc833951b1.
      * Revert "Drop all patches"
        This reverts commit f7902f49fe0c96346c49d102d29e221f301c2049.
      * Revert "debian/librem5-ci: Switch to landing"
        This reverts commit fe508f5982370b432a204c4ea68c35ab33e6c184.
      * Revert "d/gbp.conf: Switch to debian/latest"
        This reverts commit b27fc596c930135c854a8e74a040f1348f09a532.
   * d/librem5-ci.yml: Drop landing from sources.list too

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Jul 2023 11:50:14 +0200

phosh (0.29.0-1pureos1) crimson; urgency=medium

  * Upload to crimson
  * No further changes

 -- Guido Günther <agx@sigxcpu.org>  Thu, 06 Jul 2023 13:59:24 +0200

phosh (0.28.0-1pureos4) crimson; urgency=medium

  * d/control: Drop breaks on newer g-s-d.
    We dropped the patches to not emit screenshot sound in the previous
    upload.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 22 Jun 2023 12:24:05 +0200

phosh (0.28.0-1pureos3) crimson; urgency=medium

  * Drop all patches. Crimson is recent enough

 -- Guido Günther <agx@sigxcpu.org>  Wed, 21 Jun 2023 14:26:56 +0200

phosh (0.28.0-1pureos2) crimson; urgency=medium

  * Upload to crimson to bump libgnome-desktop dependency
  * d/gbp.conf: Switch to debian/latest
  * debian/librem5-ci: Switch to landing

 -- Guido Günther <agx@sigxcpu.org>  Wed, 21 Jun 2023 12:30:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: phosh
 Section: x11
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
-Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
+Maintainer: PureOS Maintainers <pureos-project@puri.sm>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Build-Depends:
  debhelper-compat (= 13),
  gi-docgen <!nodoc>,
@@ -13,18 +13,19 @@
  libsystemd-dev,
  libfeedback-dev (>= 0.2.0),
  libgcr-3-dev,
- libglib2.0-dev (>= 2.72.0),
  libgnome-desktop-3-dev,
  libgtk-3-dev,
  libgtk-4-dev,
  libgudev-1.0-dev,
  libhandy-1-dev (>= 1.1.90),
+ libjson-glib-dev,
  libnm-dev,
  libpam0g-dev,
  libpolkit-agent-1-dev,
  libpulse-dev,
  libupower-glib-dev,
  libwayland-dev,
+ linux-libc-dev (>= 5.12) [arm64],
  meson,
  python3-docutils <!nodoc>,
 # for the plugins
@@ -39,14 +40,16 @@
  gsettings-desktop-schemas <!nocheck>,
  gtk-4-examples <!nocheck>,
  librsvg2-common <!nocheck>,
- phoc (>= 0.23.0) <!nocheck>,
+ phoc (>= 0.20.0) <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://phosh.mobi/
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh
-Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh.git
+Vcs-Browser: https://source.puri.sm/Librem5/debs/pkg-phosh
+Vcs-Git: https://source.puri.sm/Librem5/debs/pkg-phosh.git
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh
+XSBC-Original-Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh.git
 
 Package: phosh
 Architecture: any
@@ -72,8 +75,7 @@
  polkit-1-auth-agent,
 Breaks:
  gnome-calls (<< 41~alpha),
- gnome-control-center (<< 42),
- libgtk-3-0 (<< 3.24.30),
+ gnome-settings-daemon (>= 40),
 Description: Pure Wayland shell for mobile devices
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
  protocol and aimed at mobile devices like smart phones and tablets using touch

## phosh 0.34.0

=== meson_options.txt ===
option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

option('phoc_tests',
       type: 'feature', value: 'auto',
       description: 'Whether to enable tests that need phoc')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference for Phosh')

option('man',
       type: 'boolean', value : false,
       description : 'generate man pages (requires rst2man)')

option('systemd',
       type: 'boolean', value: false,
       description: 'Whether to generate systemd user units')

option('compositor',
       type: 'string', value: '/usr/bin/phoc',
       description: 'Path to the Phoc compositor for use in the launcher script')

option('callui-i18n',
       type: 'boolean', value: false,
       description: 'Whether to install libcallui\s i18n fles')

option('animation-slowdown',
       type: 'integer', value: 1,
       description: 'Slowdown for phosh specific animations')

# Tools helping with e.g. notification server development
option('tools',
       type: 'boolean', value: false,
       description: 'Whether to build the tools')

option('lockscreen-plugins',
       type: 'boolean', value: 'true',
       description: 'Whether to build the lockscreen plugins')

=== .gitlab-ci/Makefile ===
VERSION=$(shell date --iso)

all:
	./run-docker.sh build  --base debian --version 0.0.$(VERSION)
	./run-docker.sh build  --base asan --version 0.0.$(VERSION)
	./run-docker.sh build  --base screenshot --version 0.0.$(VERSION)

push:
	./run-docker.sh push  --base debian --version 0.0.$(VERSION)
	./run-docker.sh push  --base asan --version 0.0.$(VERSION)
	./run-docker.sh push  --base screenshot --version 0.0.$(VERSION)

=== debian/changelog ===
phosh (0.34.0-2pureos3) crimson; urgency=medium

  * d/patches: Move launched processes to transient systemd scope

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 15 Oct 2025 11:38:35 +0200

phosh (0.34.0-2pureos2) crimson; urgency=medium

  * d/rules: Enable systemd session management

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 28 May 2025 10:26:09 +0200

phosh (0.34.0-2pureos1) crimson; urgency=medium

  * Upload to crimson

 -- Guido Günther <agx@sigxcpu.org>  Thu, 14 Dec 2023 15:26:45 +0100

phosh (0.34.0-2) unstable; urgency=medium

  * osk-manager: Sync initial state.
    Thanks to Jarrah Gosbell for testing (Closes: #1057766)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Dec 2023 17:20:43 +0100

phosh (0.34.0-1pureos1) crimson; urgency=medium

  * Upload to crimson

 -- Guido Günther <agx@sigxcpu.org>  Tue, 12 Dec 2023 20:13:08 +0100

phosh (0.34.0-1pureos1~oct1) octarine; urgency=medium

  * Upload to octarine
  * Work around the lack of g_autofd Crimson's 2.74
  * Upload to crimson

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Dec 2023 17:02:03 +0100

phosh (0.34.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump phoc dependency.
    We want one that supports ext-idle-notify.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Dec 2023 14:42:15 +0100

phosh (0.33.0-1pureos1) crimson; urgency=medium

  * No new changes needed
  * Upload to crimson

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Nov 2023 16:17:17 +0100

phosh (0.33.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Nov 2023 15:08:41 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIGURE_OPTS=-Dphoc_tests=disabled -Dsystemd=true

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
  CONFIGURE_OPTS+=-Dgtk_doc=true -Dman=true
else
  CONFIGURE_OPTS+=-Dgtk_doc=false -Dman=false
endif

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
  CONFIGURE_OPTS+=-Dtests=true
else
  CONFIGURE_OPTS+=-Dtests=false
endif

%:
	dh $@ --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_install:
	set -e; for script in postinst postrm triggers; do \
                sed -e"s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
                    -e"s/#ARCH#/$(DEB_HOST_ARCH)/g" \
                    debian/phosh.$$script.in \
                    > debian/phosh.$$script ; \
        done
	dh_auto_install

override_dh_installsystemd:
	rm -f debian/phosh.service ; cp data/phosh.service debian/phosh.service
	dh_installsystemd --no-start --no-enable --no-restart-on-upgrade --no-restart-after-upgrade

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	LC_ALL=C.UTF-8 xvfb-run -a meson test -C _build --no-suite manual
endif

## phosh 0.38.0

=== meson_options.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
        description : 'generate man pages (requires rst2man)')
 
 option('systemd',
-       type: 'boolean', value: false,
+       type: 'boolean', value: true,
        description: 'Whether to generate systemd user units')
 
 option('compositor',
@@ -36,5 +36,9 @@
        description: 'Whether to build the tools')
 
 option('lockscreen-plugins',
-       type: 'boolean', value: 'true',
+       type: 'boolean', value: true,
        description: 'Whether to build the lockscreen plugins')
+
+option('quick-setting-plugins',
+       type: 'boolean', value: true,
+       description: 'Whether to build the quick setting plugins')

=== subprojects/libcall-ui/meson_options.txt ===
option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

option('examples',
       type: 'boolean', value: 'true',
       description: 'Whether to build the examples')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference')

option('install-i18n',
       type: 'boolean', value: true,
       description: 'Whether to install translations')

=== debian/changelog ===
phosh (0.38.0-1) experimental; urgency=medium

  * Upload to experimental to stay clear of the 6 ongoing transitions
    phosh is part of.
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 07 Apr 2024 11:17:45 +0200

phosh (0.37.1-1) unstable; urgency=medium

  * New upstream release. This version doesn't require gnome-session >= 46 but
    can work with e.g. 45 as well.
  * Drop patches. Applied upstream
  * Switched to signed upstream tarballs

 -- Guido Günther <agx@sigxcpu.org>  Mon, 01 Apr 2024 16:41:33 +0200

phosh (0.37.0-2) unstable; urgency=medium

  * Switch to using systemd user units
    gnome-session 46 dropped non systemd support.
    Thanks djhg2000 for tracking this down.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 31 Mar 2024 11:34:35 +0200

phosh (0.37.0-1) unstable; urgency=medium

  * New upstream release
  * Depend on desktop-file-utils.
    Used for desktop file validation
  * rules: Let dh handle nocheck
  * Make sure to not install any gmobile related files

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Mar 2024 17:50:27 +0100

phosh (0.36.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Drop now superfluous sections

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 Feb 2024 13:15:07 +0100

phosh (0.35.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: b-d on libgirepository1.0-dev

 -- Guido Günther <agx@sigxcpu.org>  Sun, 07 Jan 2024 13:29:31 +0100

phosh (0.34.1-1) unstable; urgency=medium

  * New upstream bugfix release
  * Drop patches. All applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Wed, 20 Dec 2023 14:22:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: phosh
 Section: x11
 Priority: optional
-Maintainer: PureOS Maintainers <pureos-project@puri.sm>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
  gi-docgen <!nodoc>,
@@ -13,19 +13,19 @@
  libsystemd-dev,
  libfeedback-dev (>= 0.2.0),
  libgcr-3-dev,
+ libgirepository1.0-dev <!nodoc>,
+ libglib2.0-dev (>= 2.72.0),
  libgnome-desktop-3-dev,
  libgtk-3-dev,
  libgtk-4-dev,
  libgudev-1.0-dev,
  libhandy-1-dev (>= 1.1.90),
- libjson-glib-dev,
  libnm-dev,
  libpam0g-dev,
  libpolkit-agent-1-dev,
  libpulse-dev,
  libupower-glib-dev,
  libwayland-dev,
- linux-libc-dev (>= 5.12) [arm64],
  meson,
  python3-docutils <!nodoc>,
 # for the plugins
@@ -33,6 +33,7 @@
  evolution-data-server-dev,
 # to run the tests
  at-spi2-core <!nocheck>,
+ desktop-file-utils <!nocheck>,
  dbus-x11 <!nocheck>,
  gnome-settings-daemon-common <!nocheck>,
  gnome-shell-common <!nocheck>,
@@ -40,16 +41,14 @@
  gsettings-desktop-schemas <!nocheck>,
  gtk-4-examples <!nocheck>,
  librsvg2-common <!nocheck>,
- phoc (>= 0.20.0) <!nocheck>,
+ phoc (>= 0.23.0) <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://phosh.mobi/
 Rules-Requires-Root: no
-Vcs-Browser: https://source.puri.sm/Librem5/debs/pkg-phosh
-Vcs-Git: https://source.puri.sm/Librem5/debs/pkg-phosh.git
-XSBC-Original-Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh
-XSBC-Original-Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh.git
+Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh
+Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh.git
 
 Package: phosh
 Architecture: any
@@ -59,7 +58,7 @@
  fonts-lato,
  gnome-shell-common,
  gsettings-desktop-schemas,
- phoc (>= 0.28.0),
+ phoc (>= 0.33.0),
 Recommends:
  feedbackd,
  gnome-session-bin,
@@ -75,7 +74,8 @@
  polkit-1-auth-agent,
 Breaks:
  gnome-calls (<< 41~alpha),
- gnome-settings-daemon (>= 40),
+ gnome-control-center (<< 42),
+ libgtk-3-0 (<< 3.24.30),
 Description: Pure Wayland shell for mobile devices
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
  protocol and aimed at mobile devices like smart phones and tablets using touch

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 endif
 
 %:
-	dh $@ --builddirectory=_build
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_OPTS)
@@ -36,7 +36,4 @@
 	dh_installsystemd --no-start --no-enable --no-restart-on-upgrade --no-restart-after-upgrade
 
 override_dh_auto_test:
-ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
-	LC_ALL=C.UTF-8 xvfb-run -a meson test -C _build --no-suite manual
-endif
-
+	LC_ALL=C.UTF-8 xvfb-run -a dh_auto_test -- --no-suite manual

## phosh 0.40.0

=== debian/changelog ===
phosh (0.40.0-2) unstable; urgency=medium

  * Restore "tests: Skip symbol check on some architectures"
    Dropped to eagerly for 0.40

 -- Guido Günther <agx@sigxcpu.org>  Tue, 09 Jul 2024 07:14:13 +0200

phosh (0.40.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Jun 2024 09:43:47 +0200

phosh (0.40.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Drop patches. Applied upstream
  * d/rules: Drop -Dsystemd.
    This is now the only mode of operation

 -- Guido Günther <agx@sigxcpu.org>  Tue, 25 Jun 2024 20:03:22 +0200

phosh (0.39.0-2) unstable; urgency=medium

  * Team upload.
  * Backport some upstream fixes.
    Fixes a background load crash and folder icons being too large.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 11 Jun 2024 10:57:00 +0200

phosh (0.39.0-1) unstable; urgency=medium

  * New upstream release
  * Drop layout-manager patches applied upstream
  * d/control: Use shared gmobile

 -- Guido Günther <agx@sigxcpu.org>  Wed, 15 May 2024 16:50:37 +0200

phosh (0.38.0-4) unstable; urgency=medium

  * Backport layout manager fixes
    - layout-manager-Return-min-padding-in-non-device-mode.patch
    - layout-manager-Use-min-padding-with-zero-radius.patch
    This unbreaks the top bar alignment on e.g. the Librem 5

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 May 2024 19:49:46 +0200

phosh (0.38.0-3) unstable; urgency=medium

  * Upload to unstable to fix the FTBFS

 -- Guido Günther <agx@sigxcpu.org>  Mon, 22 Apr 2024 17:05:45 +0200

phosh (0.38.0-2) experimental; urgency=medium

  * tests: Skip symbol check on some architectures
   (Closes: #1068916)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 21 Apr 2024 12:48:09 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  libadwaita-1-dev,
  libcallaudio-dev,
  libevince-dev,
+ libgmobile-dev,
  libsecret-1-dev,
  libsystemd-dev,
  libfeedback-dev (>= 0.2.0),

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-CONFIGURE_OPTS=-Dphoc_tests=disabled -Dsystemd=true
+CONFIGURE_OPTS=-Dphoc_tests=disabled
 
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
   CONFIGURE_OPTS+=-Dgtk_doc=true -Dman=true

## phosh 0.42.0

=== debian/changelog ===
phosh (0.42.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Drop patches applied upstream
  * d/control: Bump recommends on feedbackd.
    Needed to get the correct overrides for apps marked as important

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Sep 2024 12:16:02 +0200

phosh (0.42~rc1-2) unstable; urgency=medium

  * Team upload.
  * Version the library name instead of the soname.
    This avoids file conflicts for the development files
    (Closes: #1082627)
  * d/control: Make dev package depend on the shared lib.
    Thanks to Arnaud Ferraris

 -- Guido Günther <agx@sigxcpu.org>  Thu, 26 Sep 2024 10:54:03 +0200

phosh (0.42~rc1-1) unstable; urgency=medium

  * New upstream release
    - lockscreen: Allow to adjust to smaller screen sizes
    - lockscreen: Swap horizontal deck and vertical carousel to not
      accidentally trigger swipe when entering PIN
    - upcoming-events: Plugin allow to configure number of days
    - torch: Hide brightness slider when there's only a single brightness
      level
    - Use parent's icon for toplevels without a proper matching icon
    - Handle WWan network types better
    - Fix Wi-Fi hotspot related crash
    - Make Wi-Fi hotspot insensitive on lock screen to be consistent
      with Wi-Fi network switching.
  * Drop dbus-Add-Backlight-property-to-DisplayConfig.patch.
    Fixed upstream.
  * d/control: B-D on libmm-glib
  * Bump lib version
  * Apply subproject patches
    Works around https://github.com/mesonbuild/meson/issues/13102

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Sep 2024 09:50:02 +0200

phosh (0.41.1-2) unstable; urgency=medium

  * dbus: Add Backlight property to DisplayConfig.
    This prevents gsd-power 47~rc1 from crashing

 -- Guido Günther <agx@sigxcpu.org>  Sat, 14 Sep 2024 16:12:08 +0200

phosh (0.41.1-1) unstable; urgency=medium

  * New upstream bugfix release
  * phosh-dev: Add dependency on gsettings-desktop-schemas-dev

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Sep 2024 12:08:10 +0200

phosh (0.41.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control, d/rules: Use dbus-run-session to run tests.
    Instead of relying on X11 autolaunching, explicitly start a session
    bus for the unit tests. This avoids a dependency on dbus-x11.
    (Closes: #1079555)

  [ Guido Günther ]
  * Add bindings lib. Needed for libphosh-rs.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 25 Aug 2024 22:52:58 +0200

phosh (0.41.0-1) unstable; urgency=medium

  * New upstream release
    - media-player: Add track position, length and progress bar
    - Add (optional) Wi-Fi Hotspot Quick Setting
    - Add Bluetooth Quick Setting status page allowing to
      connect/disconnect known devices
    - Allow to (optionally) put the phone in silent mode when pressing Vol- on
      incoming calls
    - Give Quick Setting status pages (and their individual rows) more
      vertical space so selecting from a large list of Wi-Fi networks or
      Bluetooth devices becomes less fiddly
    - Fix keypad layouts in RTL languages
  * Drop media-player-Use-G_GINT64_FORMAT-to-print-gint64.patch.
    Applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Thu, 15 Aug 2024 15:08:26 +0200

phosh (0.41.0~rc1-1) unstable; urgency=medium

  * New upstream release
    - media-player: Add track position, length and progress bar
    - Add (optional) Wi-Fi Hotspot Quick Setting
    - Add Bluetooth Quick Setting status page allowing to
      connect/disconnect known devices
    - Allow to (optionally put the phone in silent mode when pressing Vol- on
      incoming calls)
    - Give Quick Setting status pages (and their individual rows) more
      vertical space so selecting from a large list of Wi-Fi networks or
      Bluetooth devices becomes less fiddly
    - Fix keypad layouts in RTL languages
  * Drop prompt-Only-show-when-we-got-a-request.patch.
    Fixed upstream
  * Rediff patches
  * Depend in libgnome-bluetooth-3.0-dev

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Aug 2024 19:37:29 +0200

phosh (0.40.0-3) unstable; urgency=medium

  * prompt: Only show when we got a request
    Fixes an unclosable empty prompt when adding the first key
    after commit.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 23 Jul 2024 10:58:41 +0200

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,14 @@
  libfeedback-dev (>= 0.2.0),
  libgcr-3-dev,
  libgirepository1.0-dev <!nodoc>,
+ libgnome-bluetooth-3.0-dev,
  libglib2.0-dev (>= 2.72.0),
  libgnome-desktop-3-dev,
  libgtk-3-dev,
  libgtk-4-dev,
  libgudev-1.0-dev,
  libhandy-1-dev (>= 1.1.90),
+ libmm-glib-dev,
  libnm-dev,
  libpam0g-dev,
  libpolkit-agent-1-dev,
@@ -35,7 +37,7 @@
 # to run the tests
  at-spi2-core <!nocheck>,
  desktop-file-utils <!nocheck>,
- dbus-x11 <!nocheck>,
+ dbus-daemon <!nocheck>,
  gnome-settings-daemon-common <!nocheck>,
  gnome-shell-common <!nocheck>,
  gnome-themes-extra-data <!nocheck>,
@@ -61,7 +63,7 @@
  gsettings-desktop-schemas,
  phoc (>= 0.33.0),
 Recommends:
- feedbackd,
+ feedbackd (>= 0.5.0),
  gnome-session-bin,
  gnome-session-common,
  gnome-settings-daemon,
@@ -131,9 +133,38 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ gsettings-desktop-schemas-dev,
 Description: Pure Wayland shell for mobile devices - development files
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
  protocol and aimed at mobile devices like smart phones and tablets using touch
  based inputs and small screens.
  .
  This package contains the development files.
+
+Package: libphosh0-42-dev
+Architecture: any
+Section: libdevel
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libphosh0-42 (= ${binary:Version}),
+ phosh-dev (= ${binary:Version}),
+Description: Pure Wayland shell for mobile devices - binding developmen files
+ Phosh is a graphical shell for Wayland compositors speaking the layer-surface
+ protocol and aimed at mobile devices like smart phones and tablets using touch
+ based inputs and small screens.
+ .
+ This package contains the development files for bindings
+
+Package: libphosh0-42
+Architecture: any
+Section: libs
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Pure Wayland shell for mobile devices - binding shared library
+ Phosh is a graphical shell for Wayland compositors speaking the layer-surface
+ protocol and aimed at mobile devices like smart phones and tablets using touch
+ based inputs and small screens.
+ .
+ This package contains the shared libarary for language bindings.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-CONFIGURE_OPTS=-Dphoc_tests=disabled
+CONFIGURE_OPTS=-Dphoc_tests=disabled -Dbindings-lib=true
 
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
   CONFIGURE_OPTS+=-Dgtk_doc=true -Dman=true
@@ -36,4 +36,4 @@
 	dh_installsystemd --no-start --no-enable --no-restart-on-upgrade --no-restart-after-upgrade
 
 override_dh_auto_test:
-	LC_ALL=C.UTF-8 xvfb-run -a dh_auto_test -- --no-suite manual
+	LC_ALL=C.UTF-8 xvfb-run -a dbus-run-session -- dh_auto_test -- --no-suite manual

## phosh 0.44.1

=== debian/changelog ===
phosh (0.44.1-1) unstable; urgency=medium

  * New upstream bugfix release
   * mm: Make sure we register all interfaces
   * Avoid crash when fixing between certain combinations of fractional
     scales (with e.g. wlr-randr)
   * Fix crash on unlock with media player widget
   * Use solid color background when background image fails to load
   * Ensure `@phosh_bg_color` behind top- and home bar as otherwise we might
     see artifacts depending on the GPU driver
   * Refresh background image when dark style URI changes

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Jan 2025 17:04:20 +0100

phosh (0.44.0-1) unstable; urgency=medium

  * New upstream release
  * Ignore test failures on armel as xvfb fails to start up there

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Dec 2024 11:04:31 +0100

phosh (0.44~rc1-2) unstable; urgency=medium

  * d/control: Lower phoc dependency. 0.44~ is recent enough

 -- Guido Günther <agx@sigxcpu.org>  Sun, 22 Dec 2024 09:47:10 +0100

phosh (0.44~rc1-1) unstable; urgency=medium

  * New upstream release
   * Set background in overview
   * Allow to unfullscreen fullscreen apps from the overview
   * Handle Cell broadcast messages. (libmm-glib in Debian isn't
     recent enough so this will need a rebuild once it is)
   * Use AdwPreferencesDialog for prefs plugins giving more mobile
     friendly dialogs
   * Notification style fixes
  * Drop notification-banner-Use-minimal-size-for-banner.patch.
    Fixed upstream.
  * d/control: Bump gsettings-desktop-schema dependency.
    Ensures we have recent enough settings for accent colors
  * d/control: Bump phoc dependency.
    We want recent enough phoc to get a recent implementation of the layer
    shell effects protocol needed for the backgrounds in the overview and
    a fix for the wlr-foreign-toplevel protocol
  * d/control: Conflict with older xdg-desktop-portal-phosh.
    The portal name changed so we want to update in lock step.
  * d/control: Conflict with older phosh-mobile-settings.
    The prefs plugins changed ABI so we want to update in lock step.
  * Update library name
  * install: Update app-id and portal name

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Dec 2024 10:51:02 +0100

phosh (0.43.0-3) unstable; urgency=medium

  * notification-banner: Use minimal size for banner
    Makes sure the layer surface takes the size of the allocation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 02 Dec 2024 09:30:52 +0100

phosh (0.43.0-2) unstable; urgency=medium

  * Drop reverts. xdg-desktop-portal-phosh got accepted. We can now use the
    new settings portal for accent colors. Thanks to the ftp-masters.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 21 Nov 2024 13:50:37 +0100

phosh (0.43.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Nov 2024 15:23:02 +0100

phosh (0.43~rc1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Improved quick settings
      - Do away with long press to open status pages
      - Show status pages below quick settings
      - Custom quick settings can now have status pages too
    - Support accent colors
    - New quick setting: Simple Pomodoro timer (can be
      configured via Mobile Settings)
    - Notification system improvements and fixes, e.g.
      - Fix some banners not showing
      - Animate hiding applications in the tray
      - More consistent event feedback for notifications (so that
        e.g. there's not only LED feedback when the device is
        unused/locked)
      - Try harder to find an application item
    - Allow one to disable lockscreen authentication
    - Save screenshots to screenshots folder
  * Drop patch to install gir. Fixed upstream.
  * Update library name
  * Install pomodoro plugin schema
  * Temporarily disable xdg-desktop-portal-phosh usage.
    It's pending NEW processing. We'll drop the patches once it enters
    unstable.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 12 Nov 2024 11:30:30 +0100

phosh (0.42.0-2) unstable; urgency=medium

  * build: Install gir when we create the bindngs lib
    (cherry picked from commit 52cd94c5491b2745e6411b22809c6d78bda0e450)
  * Bump standards version. No changes needed

 -- Guido Günther <agx@sigxcpu.org>  Tue, 08 Oct 2024 16:30:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: x11
 Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
-Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
+Uploaders:
+ Arnaud Ferraris <arnaud.ferraris@gmail.com>,
+ Guido Günther <agx@sigxcpu.org>,
 Build-Depends:
  debhelper-compat (= 13),
  gi-docgen <!nodoc>,
@@ -47,7 +49,7 @@
  phoc (>= 0.23.0) <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://phosh.mobi/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh
@@ -60,14 +62,15 @@
  ${shlibs:Depends},
  fonts-lato,
  gnome-shell-common,
- gsettings-desktop-schemas,
- phoc (>= 0.33.0),
+ gsettings-desktop-schemas (>= 47),
+ phoc (>= 0.44~),
 Recommends:
  feedbackd (>= 0.5.0),
  gnome-session-bin,
  gnome-session-common,
  gnome-settings-daemon,
  iio-sensor-proxy,
+ kbd,
  phosh-mobile-tweaks,
  phosh-plugins,
  slurp,
@@ -79,6 +82,7 @@
  gnome-calls (<< 41~alpha),
  gnome-control-center (<< 42),
  libgtk-3-0 (<< 3.24.30),
+ xdg-desktop-portal-phosh (<< 0.44~),
 Description: Pure Wayland shell for mobile devices
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
  protocol and aimed at mobile devices like smart phones and tablets using touch
@@ -121,6 +125,8 @@
  gsettings-desktop-schemas,
  phoc (>= 0.13.1),
  phosh (= ${binary:Version}),
+Breaks:
+ phosh-mobile-settings (<< 0.44~),
 Description: Pure Wayland shell for mobile devices - Plugins
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
  protocol and aimed at mobile devices like smart phones and tablets using touch
@@ -141,14 +147,33 @@
  .
  This package contains the development files.
 
-Package: libphosh0-42-dev
+Package: libphosh-0.44-dev
 Architecture: any
 Section: libdevel
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libphosh0-42 (= ${binary:Version}),
+ libcallaudio-dev,
+ libfeedback-dev,
+ libgcr-3-dev,
+ libgmobile-dev,
+ libgnome-bluetooth-3.0-dev,
+ libgnome-desktop-3-dev,
+ libgudev-1.0-dev,
+ libhandy-1-dev,
+ libmm-glib-dev,
+ libnm-dev,
+ libphosh-0.44-0 (= ${binary:Version}),
+ libpolkit-agent-1-dev,
+ libpulse-dev,
+ libsecret-1-dev,
+ libsoup-3.0-dev,
+ libupower-glib-dev,
  phosh-dev (= ${binary:Version}),
+Breaks:
+ libphosh0-42-dev,
+Replaces:
+ libphosh0-42-dev,
 Description: Pure Wayland shell for mobile devices - binding developmen files
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
  protocol and aimed at mobile devices like smart phones and tablets using touch
@@ -156,7 +181,7 @@
  .
  This package contains the development files for bindings
 
-Package: libphosh0-42
+Package: libphosh-0.44-0
 Architecture: any
 Section: libs
 Depends:
@@ -168,3 +193,17 @@
  based inputs and small screens.
  .
  This package contains the shared libarary for language bindings.
+
+Package: gir1.2-phosh-0-dev
+Architecture: any
+Section: libdevel
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libphosh-0.44-0 (= ${binary:Version}),
+Description: Pure Wayland shell for mobile devices - GObject introspection data
+ Phosh is a graphical shell for Wayland compositors speaking the layer-surface
+ protocol and aimed at mobile devices like smart phones and tablets using touch
+ based inputs and small screens.
+ .
+ This package contains the GObject introspection data.

## phosh 0.45~rc1

=== debian/changelog ===
phosh (0.45~rc1-2) unstable; urgency=medium

  * tests: Check that library pkgconf file has all dependencies
  * Add libappstream-dev to libphosh-dev's dependencies

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Feb 2025 15:24:13 +0100

phosh (0.45~rc1-1) unstable; urgency=medium

  * New upstream release
  * Bump libfeedback-dev dependency.Needed for sound hint support
  * Add symbols file

 -- Guido Günther <agx@sigxcpu.org>  Sat, 08 Feb 2025 09:20:38 +0100

phosh (0.45~beta1-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release
    * Minimize and stabilize libphosh API so we can have a stable
      API for trixie
    * Detect captive portals and allow to open browser
    * New quick setting plugin to switch display scales
    * Create thumbnails for Screenshots
    * Allow to uninstall apps from app-grid
    * Close quick setting status pages when action was successful
    * WWan enable/disable autoconnect with the connection so e.g.
      mobile data doesn't turn on resume
    * prefs plugins: Remove the last remaining GtkDialog and use
      AdwEntryRow
    * Respect week number setting in calendar widget
    * Avoid crash when fixing between certain combinations of fractional
      scales (with e.g. wlr-randr)
    * Allow libphosh users to hide the whole overview/bottom bar
    * Fade in system modal dialogs
    * Several background image related fixes
    * Fix crash on unlock with media player widget
  * Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Mon, 03 Feb 2025 11:26:29 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libgmobile-dev,
  libsecret-1-dev,
  libsystemd-dev,
- libfeedback-dev (>= 0.2.0),
+ libfeedback-dev (>= 0.7.0),
  libgcr-3-dev,
  libgirepository1.0-dev <!nodoc>,
  libgnome-bluetooth-3.0-dev,
@@ -63,7 +63,7 @@
  fonts-lato,
  gnome-shell-common,
  gsettings-desktop-schemas (>= 47),
- phoc (>= 0.44~),
+ phoc (>= 0.45~beta1),
 Recommends:
  feedbackd (>= 0.5.0),
  gnome-session-bin,
@@ -147,12 +147,13 @@
  .
  This package contains the development files.
 
-Package: libphosh-0.44-dev
+Package: libphosh-0.45-dev
 Architecture: any
 Section: libdevel
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ libappstream-dev,
  libcallaudio-dev,
  libfeedback-dev,
  libgcr-3-dev,
@@ -163,7 +164,7 @@
  libhandy-1-dev,
  libmm-glib-dev,
  libnm-dev,
- libphosh-0.44-0 (= ${binary:Version}),
+ libphosh-0.45-0 (= ${binary:Version}),
  libpolkit-agent-1-dev,
  libpulse-dev,
  libsecret-1-dev,
@@ -181,7 +182,7 @@
  .
  This package contains the development files for bindings
 
-Package: libphosh-0.44-0
+Package: libphosh-0.45-0
 Architecture: any
 Section: libs
 Depends:
@@ -200,7 +201,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libphosh-0.44-0 (= ${binary:Version}),
+ libphosh-0.45-0 (= ${binary:Version}),
 Description: Pure Wayland shell for mobile devices - GObject introspection data
  Phosh is a graphical shell for Wayland compositors speaking the layer-surface
  protocol and aimed at mobile devices like smart phones and tablets using touch
